> For the complete documentation index, see [llms.txt](https://docs.bluestorm.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluestorm.io/checks/domain_model/dom_0005.md).

# Domain model standards

<table><thead><tr><th width="138">Check ID</th><th>DOM_0005</th></tr></thead><tbody><tr><td>Category</td><td>Standards</td></tr><tr><td>Summary</td><td>This check will ensure that your domain models meet your standards.</td></tr><tr><td>Options</td><td>See the table below for all available options. </td></tr><tr><td>Pass</td><td>The domain model or model element matches your standards.</td></tr><tr><td>Fail</td><td>The domain model or model element does not match your standards.</td></tr></tbody></table>

### Module Standards <a href="#id-79.mxom_checks.policycheck.groupbox1_hee_243_header" id="id-79.mxom_checks.policycheck.groupbox1_hee_243_header"></a>

<table><thead><tr><th width="182">Option Name</th><th>Details</th></tr></thead><tbody><tr><td>Security Roles</td><td>The maximum number of security roles that a module may have. Default: 5</td></tr><tr><td>Maximum Entities</td><td>The maximum number of entities that a module may have. Default: 50</td></tr><tr><td>Maximum Logic Flows</td><td>The maximum number of logic flows (microflows + nanoflows) that a module may have. Default: 150</td></tr></tbody></table>

### Inheritance Standards <a href="#id-79.mxom_checks.policycheck.groupbox1_hee_437_header" id="id-79.mxom_checks.policycheck.groupbox1_hee_437_header"></a>

<table><thead><tr><th width="182">Option Name</th><th>Details</th></tr></thead><tbody><tr><td>Administration Module</td><td>If TRUE, entities may not inherit from Administration.Account. Default: TRUE</td></tr><tr><td>System Module</td><td>If TRUE, entities may not inherit from the System module (except for System.FileDocument, System.User and System.Image). Default: TRUE</td></tr><tr><td>Limit Inheritance</td><td>If TRUE, inheritance must be limited to a maximum of 2 levels. Default: TRUE</td></tr></tbody></table>

### Entity Standards <a href="#id-79.mxom_checks.policycheck.groupbox1_hee_437_header" id="id-79.mxom_checks.policycheck.groupbox1_hee_437_header"></a>

<table><thead><tr><th width="182">Option Name</th><th>Details</th></tr></thead><tbody><tr><td>Maximum Access Rules</td><td>The maximum number of access rules that an entity may have. Default: 15</td></tr><tr><td>Maximum Associations</td><td>The maximum number of associations that an entity may have. Default: 15</td></tr><tr><td>Maximum Attributes</td><td>The maximum number of attributes that an entity may have. Default: 20</td></tr><tr><td>Maximum Event Handlers</td><td>The maximum number of event handers that an entity may have. Default: 5</td></tr><tr><td>Maximum Optional Validations</td><td>The maximum number of optional validations that an entity may have. Default: 5</td></tr><tr><td>Maximum Validations</td><td>The maximum number of validations that an entity may have. Default: 10</td></tr><tr><td>Delete Behaviour</td><td>If TRUE, associations must define a delete behaviour. Default: TRUE</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluestorm.io/checks/domain_model/dom_0005.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
